> ## Documentation Index
> Fetch the complete documentation index at: https://wiki.joinswift.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List configured streaming sinks

> Get a list of all configured streaming data sinks



## OpenAPI

````yaml get /streaming/sinks
openapi: 3.0.1
info:
  title: OpenAPI spec for Swift Customer Data Processing and Risk Score
  description: A specification for Swift's customer data processing and risk score APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /streaming/sinks:
    get:
      tags:
        - Streaming
      summary: List configured streaming sinks
      description: Get a list of all configured streaming data sinks
      responses:
        '200':
          description: List of configured sinks
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Unique identifier for the sink
                    type:
                      type: string
                      enum:
                        - kinesis
                        - fivetran
                      description: Type of streaming sink
                    enabled:
                      type: boolean
                      description: Whether the sink is enabled
                    config:
                      type: object
                      description: Sink-specific configuration
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````